#global prerel AM

Name:		fldigi
Version:	3.22.04
Release:	1%{?prerel:.%{prerel}}%{?dist}
Summary:	Digital modem program for Linux
Group:		Applications/Communications
License:	GPLv3+	

URL:		http://www.w1hkj.com/Fldigi.html
Source0:	http://www.w1hkj.com/downloads/%{name}/%{name}-%{version}%{?prerel}.tar.gz
Source1:        http://www.w1hkj.com/downloads/fldigi/FLDigi_3.22_Users_Manual.pdf

BuildRequires:	hamlib-devel
BuildRequires:	fltk-devel >= 1.3
%if 0%{?rhel}
BuildRequires:  fltk-static libXcursor-devel
%endif
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	portaudio-devel >= 19-4
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libsamplerate-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	gettext
BuildRequires:	libXinerama-devel

Provides:	flarq
Provides:	%{name}-shell

%description
Fldigi is a modem program which supports most of the digital modes used by 
ham radio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurement test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI. Fldigi is a fast moving project many added features with each update.

Flarq (Fast Light Automatic Repeat Request) is a file transfer application
that is based on the ARQ specification developed by Paul Schmidt, K9PS.
It is capable of transmitting and receiving frames of ARQ data via fldigi.

The fldigi-shell program controls fldigi over HTTP via XML-encoded
remote procedure calls (XML-RPC). It can call any XML-RPC method
exported by fldigi, and also defines some useful commands of its own.


%package doc
Summary:      PDF User Manual for %{name}
Requires:     %{name} = %{version}-%{release}
BuildArch:    noarch

%description doc
PDF User Manual for %{name}.


%prep
%setup -q -n %{name}-%{version}%{?prerel}

# Fix spurious executeable
chmod 644 ./src/olivia/olivia.cxx


%build
%configure %{?rhel:--enable-static}
make -k %{?_smp_mflags} CFLAGS="%{optflags}" LIBS="-lm -lX11 -lpthread" V=1


%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/flarq.desktop

%find_lang %{name}

# Install user manual.
mkdir -p %{buildroot}%{_docdir}/%{name}
install -pm 0644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}/


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/flarq.xpm 
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/flarq.1.gz
%{_mandir}/man1/%{name}-shell.1.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/flarq.desktop
%{_datadir}/%{name}/NAVTEX_Stations.csv
%{_datadir}/%{name}/ToR-Stats-SHIP.csv
%{_datadir}/%{name}/nsd_bbsss.txt
%{_datadir}/%{name}/station_table.txt
%exclude %{_docdir}/%{name}/FLDigi_3.22_Users_Manual.pdf

%files doc
%{_docdir}/%{name}/FLDigi_3.22_Users_Manual.pdf


%changelog
* Fri Dec 26 2014 Richard Shaw <hobbes1069@gmail.com> - 3.22.04-1
- Update to latest upstream release.

* Thu Dec 25 2014 Richard Shaw <hobbes1069@gmail.com> - 3.22.03-1
- Update to latest upstream release.

* Mon Dec  1 2014 Richard Shaw <hobbes1069@gmail.com> - 3.22.02-1
- Update to latest upstream release.

* Mon Oct 20 2014 Richard Shaw <hobbes1069@gmail.com> - 3.22.01-1
- Update to latest upstream release.

* Thu Oct 16 2014 Richard Shaw <hobbes1069@gmail.com> - 3.22.00-1
- Update to latest upstream release.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Rex Dieter <rdieter@fedoraproject.org> - 3.21.83-2
- rebuild (for pulseaudio, bug #1117683)

* Sun Jun 29 2014 Richard Shaw <hobbes1069@gmail.com> - 3.21.83-1
- Update to latest upstream release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.21.82-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Richard Shaw <hobbes1069@gmail.com> - 3.21.82-1
- Update to latest upstream release.

* Sun Mar 30 2014 Richard Shaw <hobbes1069@gmail.com> - 3.21.81-1
- Update to latest upstream release.

* Tue Mar 11 2014 Richard Shaw <hobbes1069@gmail.com> - 3.21-79-1
- Update to latest upstream release.

* Tue Mar  4 2014 Richard Shaw <hobbes1069@gmail.com> - 3.21.78-1
- Update to latest upstream release.

* Wed Oct 30 2013 Richard Shaw <hobbes1069@gmail.com> - 3.21.77-1
- Update to latest bugfix release.

* Thu Sep 12 2013 Richard Shaw <hobbes1069@gmail.com> - 3.21.76-1
- Update to latest bugfix release.

* Mon Sep  2 2013 Richard Shaw <hobbes1069@gmail.com> - 3.21.75-1
- Update to latest bugfix release.

* Tue Aug 27 2013 Richard Shaw <hobbes1069@gmail.com> - 3.21.74-1
- Update to latest bugfix release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.21.68-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.21.68-2
- Perl 5.18 rebuild

* Sat Mar 16 2013 Richard Shaw <hobbes1069@gmail.com> - 3.21.68-1
- Update to latest bugfix release.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.21.49-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 3 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.49-1
- Upstream upddate to 3.21.49

* Mon May 14 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.41-1
- Upstream upddate to 3.21.41
- Fix deps for F18/Rawhide

* Sat Jan 28 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.37-2
- Upstream upddate to 3.21.37
- Remove patches fixed upstream
- Correct source URL

* Sat Jan 28 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.37-1
- Upstream upddate to 3.21.37

* Sun Jan 15 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.35-2
- Add patches for testing error correction
- Update rawhide builds

* Sun Jan 15 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.35-1
- Upstream upddate to 3.21.35
- Rebuild against gcc 4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.21.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan 2 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.34-2
- Test Build Against FLTK 1.3

* Thu Dec 28 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.34-1
- Test Build Against FLTK 1.3
- Remove patches

* Fri Sep 9 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.14-2
- Testing apply patches for panel.cxx

* Fri Sep 9 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.14-1
- Upstream update to 3.21.14
- Remove patch applied upstream

* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-4
- Correct my mistake in update request.

* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-4
- Upload and build

* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-3
- Removed --disable-nls temporary fix
- Apply Patch0 by Kamal Mostafa, KA6MAL
- Fixes crash when started (bug #708696)
- Added provides fldigi-shell, flarq

* Sat Jun 11 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-2
- Upload source to git (F15)
- Build for F15

* Sat Jun 11 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-1
- Upstream update (alpha)
- Build with --disable-nls as a temporary measure to prevent crash on startup (bug #708696)
- Temporary disable of i18n (bug #708696)

* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-3
- Successful local build F14
- Test build on koji F14

* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-2
- Removed patches 
- Test build for Rawhide

* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-1
- Apply upstream patches dup_defines.diff

* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-3
- Added Panel.cxx patch1 to fix int error.

* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-2
- Added BuildRequires:	libXinerama-devel

* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-1
- Upstream update 3.21.9
- Fix broken deps for Rawhide/F16

* Thu Mar 24 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.7-1
- Upstream update 3.21.7
- Rebiuld fix broken deps on mas rebuild
